function Eig(){}
function Kig(){}
function uig(a){this.a=a}
function wig(a){this.a=a}
function Iig(a){this.a=a}
function Dig(a,b){W$f(a.a,b)}
function $ig(a){var b;if(!a.d){b=new Eig;a.d=b}return a.d}
function Gig(){Noe.call(this,b$j,'Persistence Inheritance')}
function pig(a){var b;b=YAh(a.b.a,pvf(),lM(h1c,pxj,1,[]));U7i(K7i(b,kGj),f_j);Jnj(new _mj(b),new uig(a))}
function rig(a,b,d,e){jGd.call(this,a,b,d);this.c=e;this.b=new i0i(BLb,(hBh(),cBh).Nc(BLb),gBh.Nc(BLb));this.a=new x0i(BLb)}
function Zig(a){var b;if(!a.c){b=new rig(tFd(kce(a.a)),$ig(a),Yig(a),(Ynj(Sde(a.a)),lMg(ede(a.a))),j1i(Qde(a.a)));FFd((lce(a.a),b),CGd(lce(a.a)));a.c=b}return a.c}
function qig(a,b){var d;d=m0i(a.a,b,YAh(a.b.a,pvf(),lM(h1c,pxj,1,[])),lM(a2c,ixj,281,[]));if(b.Kc(hMj)&&Ch(b.Nc(hMj),Ozj)){b.Qc(hMj);$7i(K7i(d,iMj),(emj(),dmj))}Jnj(new _mj(d),new wig(a))}
function tig(a,b){var d,e;e=Dnj(b);if(e.b.lN(HGj)&&K7i(e,HGj).b.b!=(emj(),dmj)&&!tPd(K7i(e,HGj).b.$e(),IGj)){tYd(k_j+(oYd(),'Loading JPA Subsystem'))}else{d=n0i(a.a.a,K7i(e,tGj).b.dN());Dig(a.a.A,d)}}
q3c(3567,1013,pyj,rig);_.Ti=function(){this.A.b=this};_.Yi=function(){pig(this)};_.aj=function(){svf(this.c,this)};q3c(3568,1298,{},uig);_.eh=function(a){tig(this,a)};q3c(3569,1298,{},wig);_.eh=function(a){var b;b=Dnj(a);b.b.lN(HGj)&&K7i(b,HGj).b.b!=(emj(),dmj)&&!tPd(K7i(b,HGj).b.$e(),IGj)?uYd(r0j+(oYd(),Gck),M7i(b)):vYd(s0j+(oYd(),Gck));pig(this.a)};q3c(3572,1415,oyj,Eig);_.Ch=function(){var a,b,d,e,g,i;this.a=new b_f(BLb);a=new Nhe(hMj,Hck,false);g=new Gig;Moe(g,lM(h1c,pxj,1,['DEEP','SHALLOW']));j1d(this.a,xGj,lM($1c,Zyj,262,[a,g]));h1d(this.a,false);d=new Q0i(this.a,new Iig(this));e=new v2e(new Kig,this.a);b=CBe(EBe(DBe(new GBe,this.a),e));i=gCe(lCe(kCe(hCe(iCe(nCe(new oCe,M1j),Gck),(oYd(),'The configuration of the JPA subsystem.')),$1j,b),O0i(d)));return i};q3c(3573,1675,dzj,Gig);_.bk=function(){return false};q3c(3574,1,{},Iig);_.Hk=function(a){qig(this.a.b,(this.a.a.c,a))};q3c(3575,1,{},Kig);_.cl=function(){var a;a=pvf();V7i(x7i(a),BHj,WEj);return a};q3c(3581,1,Xyj);_.qd=function(){bHd(this.b,Zig(this.a.a))};var tLb=XNd(3567),pLb=XNd(3568),qLb=XNd(3569),xLb=XNd(3572),uLb=XNd(3573),vLb=XNd(3574),wLb=XNd(3575);Jzj(hp)(55);